Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609815 - Running vncviewer to a mac causes X display to freeze
Running vncviewer to a mac causes X display to freeze
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 04:26 EDT by Christine Caulfield
Modified: 2018-04-11 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 10:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log.0 file (109.60 KB, text/plain)
2010-07-01 04:26 EDT, Christine Caulfield
no flags Details
dmesg output (121.93 KB, text/plain)
2010-07-13 10:21 EDT, Christine Caulfield
no flags Details
messages file (317.69 KB, text/plain)
2010-07-13 10:23 EDT, Christine Caulfield
no flags Details
Xorg.log.0 file (109.47 KB, text/plain)
2010-07-13 10:29 EDT, Christine Caulfield
no flags Details

  None (edit)
Description Christine Caulfield 2010-07-01 04:26:05 EDT
Created attachment 428204 [details]
Xorg.log.0 file

Description of problem:

Running vncviewer mac:0 caused the X display to shift and freeze. To get control back I had to ssh in from another node and "kill -9 Xorg"

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13

How reproducible:
Every time

Steps to Reproduce:
1. Have a mac running Snow leopard and remote display server
2. on Linux vncviewer:0
  
Actual results:
I expected the password box to display!

Expected results:
X11 display will shift & freeze


Additional info:
Downgrading to xorg-x11-drv-nouveau-0.0.16-3.20100305git6b8b157.fc13.x86_64 fixed the problem.

This system has 2 heads. Xorg.0 is attached for info
Comment 1 Matěj Cepl 2010-07-12 09:44:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Christine Caulfield 2010-07-13 10:21:05 EDT
Created attachment 431477 [details]
dmesg output
Comment 3 Christine Caulfield 2010-07-13 10:23:07 EDT
Created attachment 431478 [details]
messages file
Comment 4 Christine Caulfield 2010-07-13 10:29:07 EDT
Created attachment 431481 [details]
Xorg.log.0 file

Here are the files you requested, hope they're OK. There is no xorg.conf file in /etc/X11/xorg
Comment 5 Christine Caulfield 2010-11-29 04:32:33 EST
Can I just add that this still happens on Fedora 14 with this package:

xorg-x11-drv-nouveau-0.0.16-11.20100826git065576d.fc14.x86_64

I'm happy to provide any debugging info you need.
Comment 6 Christine Caulfield 2012-08-13 10:31:39 EDT
I'll close this as it has wroked fine for ages!

Note You need to log in before you can comment on or make changes to this bug.